%define section free

Summary:        Xindice native XML database
Name:           xml-xindice
Version:        1.1
Release:        0.b4.1jpp
Epoch:          0
License:        Apache Software License 2.0
URL:            http://xml.apache.org/xindice/
Group:          Text Processing/Markup/XML
Source0:        xml-xindice-1.1b4-src.tar.gz
Patch0:         xml-xindice-1.1b4-ResourceSetImpl.patch
BuildRequires:  jpackage-utils >= 0:1.5
BuildRequires:  ant >= 0:1.6, ant-junit
BuildRequires:  junit, junitperf, junit-addons, xmlunit
BuildRequires:	xmlrpc
BuildRequires:	xalan-j2
BuildRequires:	xerces-j2
BuildRequires:	xml-commons-apis
BuildRequires:	xmldb-common
BuildRequires:	xmldb-api-sdk
BuildRequires:	xmldb-api
BuildRequires:	servletapi4
BuildRequires:	jakarta-commons-logging
Requires:       jpackage-utils >= 0:1.5
Requires:	xmlrpc
Requires:	xalan-j2
Requires:	xerces-j2
Requires:	xml-commons-apis
Requires:	xmldb-common
Requires:	xmldb-api-sdk
Requires:	xmldb-api
Requires:	servletapi4
Requires:	jakarta-commons-logging
BuildArch:      noarch
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-buildroot
Vendor:         JPackage Project
Distribution:   JPackage

%description
Apache Xindice is a database designed from the ground up to 
store XML data or what is more commonly referred to as a 
native XML database. 
The benefit of a native solution is that you don't have to 
worry about mapping your XML to some other data structure. 
You just insert the data as XML and retrieve it as XML. You 
also gain a lot of flexibility through the semi-structured 
nature of XML and the schema independent model used by Xindice. 
This is especially valuable when you have very complex XML 
structures that would be difficult or impossible to map to a 
more structured database.
At the present time Xindice uses XPath for its query language 
and XML:DB XUpdate for its update language. We provide an 
implementation of the XML:DB API for Java development and it 
is possible to access Xindice from other languages using built 
in XML-RPC API. As standards in the XML database area mature 
Xindice will include support for those that are most important.

%package javadoc
Summary:        Javadoc for %{name}
Group:          Development/Documentation

%description javadoc
%{summary}.

%prep
%setup -q -n xindice-1.1b4
%patch0 -b .sav
# remove all binary libs 
for j in $(find . -name "*.jar"); do
	mv $j $j.no
done

%build
pushd java/lib
# java/lib/xmlrpc-1.1.jar.no
ln -sf $(build-classpath xmlrpc) .
# java/lib/xalan-2.5.2.jar.no
ln -sf $(build-classpath xalan-j2) .
# java/lib/xmldb-common-20030701.jar.no
ln -sf $(build-classpath xmldb-common) .
# java/lib/servlet-2.3.jar.no
ln -sf $(build-classpath servletapi4) .
# java/lib/commons-logging-1.0.3.jar.no
ln -sf $(build-classpath commons-logging) .
# java/lib/xerces-2.6.0.jar.no
ln -sf $(build-classpath xerces-j2) .
# java/lib/xml-apis.jar.no
ln -sf $(build-classpath xml-commons-apis) .
# java/lib/xmldb-xupdate-20040205.jar.no
ln -sf $(build-classpath xmldb-xupdate) .
# java/lib/xmldb-api-sdk-20030701.jar.no
ln -sf $(build-classpath xmldb-api-sdk) .
# java/lib/xmldb-api-20030701.jar.no
ln -sf $(build-classpath xmldb-api) .
#
ln -sf $(build-classpath junit-addons) .
#
ln -sf $(build-classpath xmlunit) .
popd
export OPT_JAR_LIST="ant/ant-junit junit junitperf junit-addons xmlunit"

ant test javadoc release

%install
rm -rf $RPM_BUILD_ROOT

# Jars
mkdir -p $RPM_BUILD_ROOT%{_javadir}
cp -p dist/xindice-1.1b4.jar \
  $RPM_BUILD_ROOT%{_javadir}/%{name}-%{version}.jar

# Jar versioning
(cd $RPM_BUILD_ROOT%{_javadir} && for jar in *-%{version}.jar; do ln -sf ${jar} `echo $jar| sed "s|-%{version}||g"`; done)

# Javadocs
mkdir -p $RPM_BUILD_ROOT%{_javadocdir}/%{name}-%{version}
cp -pr build/api/* \
  $RPM_BUILD_ROOT%{_javadocdir}/%{name}-%{version}
ln -s %{name}-%{version} $RPM_BUILD_ROOT%{_javadocdir}/%{name} # ghost symlink

# War
mkdir -p $RPM_BUILD_ROOT%{_datadir}/%{name}-%{version}
cp -p dist/xindice-1.1b4.war \
  $RPM_BUILD_ROOT%{_datadir}/%{name}-%{version}/%{name}-%{version}.war
cp -p dist/xindice-1.1b4.xml \
  $RPM_BUILD_ROOT%{_datadir}/%{name}-%{version}/%{name}-%{version}.xml

# config
cp -pr config $RPM_BUILD_ROOT%{_datadir}/%{name}-%{version}
# Scripts
cp -p bin/xindice.jar.sh $RPM_BUILD_ROOT%{_datadir}/%{name}-%{version}
cp -p bin/xindice.war.sh $RPM_BUILD_ROOT%{_datadir}/%{name}-%{version}
mkdir -p $RPM_BUILD_ROOT%{_bindir}
cp -p bin/xindice $RPM_BUILD_ROOT%{_bindir}/xindice


%clean
rm -rf $RPM_BUILD_ROOT

%post javadoc
rm -f %{_javadocdir}/%{name}
ln -s %{name}-apis-%{version} %{_javadocdir}/%{name}

%postun javadoc
if [ "$1" = "0" ]; then
  rm -f %{_javadocdir}/%{name}
fi

%files
%defattr(0644,root,root,0755)
%doc LICENSE NOTICE README
%{_javadir}/*.jar
%{_datadir}/%{name}-%{version}
%attr(755,root,root) %{_bindir}/*

%files javadoc
%defattr(0644,root,root,0755)
%{_javadocdir}/%{name}-%{version}
%ghost %{_javadocdir}/%{name}

# -----------------------------------------------------------------------------

%changelog
* Thu Oct 20 2005 Ralph Apel <r.apel at r-apel.de> - 0:1.1-0.b4.1jpp
- First JPackage build

